<?php
// aff FROM MODIF RUB du file de conf(config_rubrique)
function prem_demare($val='',$up=''){
	$arryData=array(FORM_MENU_ON=>"true",FORM_MENU_ON=>"true",FORM_MENU_OFF=>"false");
	$format_ajax="<script type='text/javascript'> upload_ajax('%1\$s','%2\$s','%3\$s','%4\$s'); </script>";
	$h2="<h2>%1\$s</h2>";
	$p="<p>%1\$s</p>";
	NewFct('barre_h_box_ajax',PREM_DEM,PREM_DEM_H2,'',true);
	print"<div id=\"form_ajax_txt_box_scroll\">\n";
	if($up==''){
		/* Force retour d'erreur des Waring*/
		error_reporting(2);
		printf($p,WELCOM);
		printf($p,WELCOM_TXT_H);
		printf($p,php_f_textField("chem_abs",100,150,ereg_replace(CHEMIN_ADMIN.'include/inc','',dirname(__FILE__)),'', '').' '.php_f_textField("chem_actu",50,150,CHEMIN_ADMIN,'', ' '));
		print '<p><a href="#"  onclick=" '."{  montre('onload');"
		.sprintf("upload_ajax('%1\$s','%2\$s','%3\$s','%4\$s');",'form_ajax_txt_box_scroll',"include/inc/prem_demare.inc","prem_demare","\''+escape(document.getElementById('chem_abs').value)+'\',\'up\'")
		."cache_t('onload','150'); montre('backgd'); montre('form_ajax'); "
		.'}'
		.'" >'.BT_VALIDER.'</a></nobr></p>';
		print '<div id="div_erreur" style="display:none;">';
			print include (''); // ERREUR VOLONTAIRE
		print '</div>';
		printf($p,WELCOM_TXT_B);
	}
	else {

	 sql ('','config/sys_path.php','_PX_config',"INSERT INTO ".'config/sys_path.php'." (chemin_abs) VALUES ('".$val."') ",'');
	 sql ('',ADD_PATH_ADMIN.'include/sys_path.php','_PX_config',"INSERT INTO ".'include/sys_path.php'." (chemin_abs) VALUES ('".$val."') ",'');

		printf($p,INSTALL_FINISH);
		printf($p,INSTALL_FINISH_SUITE);
	}
	print "</div>\n";
}
?>